Bug 1319632 - No executable with python-behave
Summary: No executable with python-behave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-behave
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-21 08:49 UTC by Jaroslav Mracek
Modified: 2018-04-11 08:35 UTC (History)
4 users (show)

Fixed In Version: python-behave-1.2.5-11.fc24 python-behave-1.2.5-11.fc23 python-behave-1.2.5-11.el7 python-behave-1.2.5-11.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-27 21:57:54 UTC


Attachments (Terms of Use)

Description Jaroslav Mracek 2016-03-21 08:49:18 UTC
Description of problem:
When I install python-behave, there is no behave in /bin/ (behave: command not found).

Version-Release number of selected component (if applicable):
python-behave - noarch 1.2.5-10.fc23

How reproducible:
Install python-behave in docker f23 and try to run behave script
When I install python3-behave it runs as expected.

Steps to Reproduce:
1.
2.
3.

Actual results:
behave: command not found

Expected results:
behave will run

Additional info:

Comment 1 Jaroslav Mracek 2016-03-21 08:52:52 UTC
This is only compatible issue - there is behave-2 executable

Comment 2 Matěj Cepl 2016-03-22 09:42:45 UTC
(In reply to Jaroslav Mracek from comment #1)
> This is only compatible issue - there is behave-2 executable

What would you suggest? Which package should own /usr/bin/behave?

Comment 3 Jaroslav Mracek 2016-03-22 11:15:55 UTC
Difficult question. In future python3-behave. I think it would be better to introduce next time such a changes at beginning of distro life cycle. If it will be like that there will be no surprise for users (there will be always issue when system-upgrade is performed). The optimization for such a change at user site is very simple, just timing wasn't correct.

Comment 4 Fedora Update System 2016-03-23 13:16:23 UTC
python-behave-1.2.5-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f2f951cca

Comment 5 Fedora Update System 2016-03-23 13:16:57 UTC
python-behave-1.2.5-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b25c8ac928

Comment 6 Fedora Update System 2016-03-23 13:17:14 UTC
python-behave-1.2.5-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f4770587b

Comment 7 Fedora Update System 2016-03-23 13:17:34 UTC
python-behave-1.2.5-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73c20bfcd8

Comment 8 Fedora Update System 2016-03-23 19:55:40 UTC
python-behave-1.2.5-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f4770587b

Comment 9 Fedora Update System 2016-03-24 01:00:43 UTC
python-behave-1.2.5-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f2f951cca

Comment 10 Fedora Update System 2016-03-24 01:52:50 UTC
python-behave-1.2.5-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b25c8ac928

Comment 11 Fedora Update System 2016-03-24 15:50:17 UTC
python-behave-1.2.5-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73c20bfcd8

Comment 12 Fedora Update System 2016-03-27 21:57:51 UTC
python-behave-1.2.5-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-01 23:53:13 UTC
python-behave-1.2.5-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-02 04:05:01 UTC
python-behave-1.2.5-11.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-02 05:50:43 UTC
python-behave-1.2.5-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.